Browse Source

Pre-Depend on debconf 1.5.34, to ensure that upgrades with an old debconf don't choke on sr@latin locale lines in the templates during preconfiguration.

While tasksel lacks a configure script, dpkg-preconfigure will still
extract and load its templates file during upgrade, so a Pre-Depends is
needed.
tags/2.86
Joey Hess 11 years ago
parent
commit
4119d677f5
2 changed files with 8 additions and 1 deletions
  1. +6
    -0
      debian/changelog
  2. +2
    -1
      debian/control

+ 6
- 0
debian/changelog View File

@@ -1,9 +1,15 @@
tasksel (2.86) UNRELEASED; urgency=low

[ Christian Perrier ]
* Drop vbetool and radeontool from the laptop task
Closes: #604073
* Also drop vbetool from the desktop task

[ Joey Hess ]
* Pre-Depend on debconf 1.5.34, to ensure that upgrades with
an old debconf don't choke on sr@latin locale lines in the templates
during preconfiguration.

-- Christian Perrier <bubulle@debian.org> Sat, 20 Nov 2010 08:00:53 +0100

tasksel (2.85) unstable; urgency=low


+ 2
- 1
debian/control View File

@@ -9,7 +9,8 @@ Vcs-Git: git://git.debian.org/git/tasksel/tasksel.git

Package: tasksel
Architecture: all
Depends: ${misc:Depends}, debconf (>= 1.5.5) | cdebconf (>= 0.106), liblocale-gettext-perl, aptitude (>= 0.2.15-1), tasksel-data
Pre-Depends: debconf (>= 1.5.34) | cdebconf (>= 0.106)
Depends: ${misc:Depends}, liblocale-gettext-perl, aptitude (>= 0.2.15-1), tasksel-data
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: Tool for selecting tasks for installation on Debian systems
This package provides 'tasksel', a simple interface for users who


Loading…
Cancel
Save